SoNurbsProfile(3IV)

NAME
SoNurbsProfile — NURBS profile curve

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoProfile > SoNurbsProfile

SYNOPSIS
#include <Inventor/nodes/SoNurbsProfile.h>

Fields from class SoNurbsProfile:

SoMFFloat
knotVector

Fields from class SoProfile:

SoMFInt32
index
SoSFEnum
linkage

Methods from class SoNurbsProfile:

SoNurbsProfile()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node specifies a NURBS curve that is used as a profile. The curve is defined in the same way as a standard SoNurbsCurve, except that the control points are constructed from the current set of profile coordinates, using the index field.

FIELDS
SoMFFloat
knotVector
The knot vector for the NURBS curve. It must be a list of non-decreasing floating point values.

METHODS

SoNurbsProfile()
Creates a NURBS profile curve node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoRayPickAction
Adds a profile to the current traversal state.

FILE FORMAT/DEFAULTS
NurbsProfile {
index	0
linkage	START_FIRST
knotVector	0
}

SEE ALSO
SoLinearProfile, SoNurbsCurve, SoProfileCoordinate2, SoProfileCoordinate3